Version of mercury particle system ?

Apr 8, 2012 at 11:30 PM

Hi,


When i run the particle editor and i try to load the "BasicSmokePlume.xml" example I have this exception : "Cannot find type "ProjectMercury.Emitters.ConeEmitter"."

Yes, in fact there is no "ConeEmitter" class in the "IGF Mercury" project but in the version 3.1 of Mercury there is this "ConeEmitter" class.
What is the version of Mercury used in IGF ?

It's possible to update the Mercury Project with the last Mercury version ?


Thank you in adavance.

Coordinator
Apr 10, 2012 at 11:38 AM

IGF uses the 3D support branch of the Project Mercury source code (4.0) and thus it may misses a few things such as the one mentionned above.

I didn't know it wasn't there... We should check if there is any good reason for not putting it in the project...

Apr 10, 2012 at 4:25 PM

Ok. I think the version 4 of mercury is not an official version for the moment.

The Mercury community seems to be not very active. There is some posts about the version 3.1 and 4 without answers (http://mpe.codeplex.com/discussions/290284)

I think that  I will try to use the 3.1 version of Mercury or another particle system like DPSF. 

Thank you

Apr 19, 2012 at 12:26 AM

rc183:

From what I recall, it's still best to use the 4.0 branch, even though it's not official per se. It's pretty stable on the whole and supports XNA 4 and WP7 a lot better than 3.1 does. If you really need the Cone Emitter, it shouldn't be too hard to port the code for it up to 4.0.

Apr 21, 2012 at 8:01 PM

Yes it's true. Thank you.